# Class yii\console\Markdown

Inheritance | yii\console\Markdown » cebe\markdown\Parser
Uses Traits | cebe\markdown\block\FencedCodeTrait, cebe\markdown\inline\CodeTrait, cebe\markdown\inline\EmphStrongTrait, cebe\markdown\inline\StrikeoutTrait
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/console/Markdown.php

A Markdown parser that enhances markdown for reading in console environments.

Based on cebe/markdown.

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$escapeCharacters | array | These are "escapeable" characters. | yii\console\Markdown

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
renderCode() | Renders a code block. | yii\console\Markdown
renderEmph() | Renders empathized elements. | yii\console\Markdown
renderInlineCode() | Renders an inline code span ```. | yii\console\Markdown
renderParagraph() | Render a paragraph block. | yii\console\Markdown
renderStrike() | Renders the strike through feature. | yii\console\Markdown
renderStrong() | Renders strong elements. | yii\console\Markdown

## Property Details

$escapeCharacters protected property

These are "escapeable" characters. When using one of these prefixed with a backslash, the character will be outputted without the backslash and is not interpreted as markdown.

protected array $escapeCharacters = ['\\', '`', '*', '_', '~']

## Method Details

renderCode() protected method

Renders a code block.

protected string renderCode ( $block )
$block | array |

renderEmph() protected method

Renders empathized elements.

protected string renderEmph ( $element )
$element | array |

renderInlineCode() protected method

Renders an inline code span ```.

protected string renderInlineCode ( $element )
$element | array |

renderParagraph() protected method

Render a paragraph block.

protected string renderParagraph ( $block )
$block | string |

renderStrike() protected method

Renders the strike through feature.

protected string renderStrike ( $element )
$element | array |

renderStrong() protected method

Renders strong elements.

protected string renderStrong ( $element )
$element | array |